<script>
	let infos_profil =  {
    nom: 'Rivière',
    prenom: 'Hugo',
    pseudo: 'Bisquette',
    mail: 'riviere.hugols@gmail.com',
    biographie: 'twice biggest fan !',
    naissance: 'Mon Aug 13 2001 02:00:00 GMT+0200 (heure d’été d’Europe centrale)',
    photo: 'Bisquette.jpeg',
    role: 'cinephile'
  }
  let abonne = { date: '2023-07-10T15:52:33+02:00' }
  let new_fil = [
  {
    post: {
      id_post: 10,
      texte: "j'ai trop hâte de voir le prochain Barbie",
      auteur: 1,
      date: '2023-06-29T14:24:43+02:00',
      type: 'Article',
      media: '',
      pseudo: 'Bisquette',
      up: 1,
      down: null,
      propreVote: 1
    },
    commentaire: [
  {
    id_commentaire_post: 14,
    contenu: 'azerty',
    id_user: 1,
    pseudo: 'Bisquette',
    date: '2023-07-10T16:10:02+02:00',
    media: '',
    up: null,
    down: null,
    propreVote: null
  },
  {
    id_commentaire_post: 13,
    contenu: 'oui',
    id_user: 1,
    pseudo: 'Bisquette',
    date: '2023-07-06T16:34:00+02:00',
    media: '',
    up: 1,
    down: null,
    propreVote: 1
  },
  {
    id_commentaire_post: 12,
    contenu: "moi aussi !!!! y'a Margot Robbie en plus dedans hehe",
    id_user: 3,
    pseudo: 'Sakééééé',
    date: '2023-06-30T09:41:08+02:00',
    media: '',
    up: null,
    down: 1,
    propreVote: -1
  }
]
  }
]


	function getSource(filename) {
		return `/profil_pictures/${filename}`;
	}
</script>

<button>
	<a href="/modifier_compte"> Paramètres </a>
</button>

<button>
	<a href="/nouveau_post"> Nouveau post </a>
</button>



<div class="content">
	<form method="POST">
		<h1>{infos_profil.pseudo}</h1>
		<button type="submit" name="abo" value={infos_profil.id_utilisateur}>
			{#if !!abonne}
				Suivi
			{:else}
				Suivre
			{/if}
		</button>
		{#if !!infos_profil.photo}
						<img class="profil_photo" src={getSource(infos_profil.photo)} alt="profile_picture" />
					{:else}
						<img class="profil_photo" src="/icon/defaut_photo_profil.png" alt="profile_picture" />
					{/if}
		<div>
			{infos_profil.biographie}
		</div>
		<div>
			{infos_profil.role}
		</div>
		<h1>Posts</h1>
		{#each new_fil as post}
			<div>
				<div>
					{post.post.type}
					de {post.post.pseudo}
					{#if !!post.post.photo}
						<img class="profil_photo" src={getSource(post.post.photo)} alt="profile_picture" />
					{:else}
						<img class="profil_photo" src="/icon/defaut_photo_profil.png" alt="profile_picture" />
					{/if}
					{post.post.date}
				</div>
				<div>
					{post.post.texte}
				</div>

				<div>
					{post.post.up || 0}

					<button type="submit" name="up" value={post.post.id_post}>
						{#if post.post.propreVote == 1}
							AlreadyUp
						{:else}
							Up
						{/if}
					</button>
					<button type="submit" name="down" value={post.post.id_post}>
						{#if post.post.propreVote == -1}
							AlreadyDown
						{:else}
							Down
						{/if}
					</button>

					{post.post.down || 0}
				</div>
				<div>
					<input id="comment" type="text" name="comment" />
					<button type="submit" name="post" value={post.post.id_post} />
				</div>

				{#each post.commentaire as comm}
					<div>
						-> {comm.pseudo}
						{#if !!comm.photo}
							<img class="profil_photo" src={getSource(comm.photo)} alt="profile_picture" />
						{:else}
							<img class="profil_photo" src="/icon/defaut_photo_profil.png" alt="profile_picture" />
						{/if}
						{comm.date}
					</div>
					<div>
						----- {comm.contenu}
					</div>

					<div>
						----- {comm.up || 0}

						<button type="submit" name="up_comm" value={comm.id_commentaire_post}>
							{#if comm.propreVote == 1}
								AlreadyUp
							{:else}
								Up
							{/if}
						</button>
						<button type="submit" name="down_comm" value={comm.id_commentaire_post}>
							{#if comm.propreVote == -1}
								AlreadyDown
							{:else}
								Down
							{/if}
						</button>

						{comm.down || 0}
					</div>
				{/each}
			</div>
			<div>&nbsp;</div>
		{/each}
	</form>
</div>

<style>
	.content {
		width: 100%;
		max-width: var(--column-width);
		margin: var(--column-margin-top) auto 0 auto;
	}
	.profil_photo {
		border-radius: 50%;
		width: 85px;
		height: 85px;
		object-fit: cover;
		margin-left: 10px;
		margin-right: 10px;
	}
</style>
